Bug 117722 - [patch] x11/xdm Xresources missing #endif
Summary: [patch] x11/xdm Xresources missing #endif
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: freebsd-x11 (Nobody)
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2007-10-31 15:30 UTC by Warren Block
Modified: 2008-02-29 02:06 UTC (History)
0 users

See Also:


Attachments
file.diff (297 bytes, patch)
2007-10-31 15:30 UTC, Warren Block
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Warren Block 2007-10-31 15:30:01 UTC
xdm's default Xresources file is missing a #endif at the end of the WIDTH > 800 section (line 30):

..
#if WIDTH > 800
xlogin*greetFont: -adobe-helvetica-bold-o-normal--24-240-75-75-p-138-iso8859-1
xlogin*font: -adobe-helvetica-medium-r-normal--18-180-75-75-p-98-iso8859-1
xlogin*promptFont: -adobe-helvetica-bold-r-normal--18-180-75-75-p-103-iso8859-1
xlogin*failFont: -adobe-helvetica-bold-r-normal--18-180-75-75-p-103-iso8859-1
xlogin*greetFace:       Serif-24:bold:italic
xlogin*face:            Helvetica-18
xlogin*promptFace:      Helvetica-18:bold
xlogin*failFace:        Helvetica-18:bold

#ifdef COLOR
..

Fix: Add the missing #endif:
How-To-Repeat: Run xdm, check /var/log/xdm.log for this message:

<stdin>:30:1: unterminated #if
Comment 1 Edwin Groothuis freebsd_committer 2007-10-31 15:30:08 UTC
Responsible Changed
From-To: freebsd-ports-bugs->freebsd-x11

Over to maintainer (via the GNATS Auto Assign Tool)
Comment 2 dfilter service freebsd_committer 2008-01-02 14:16:59 UTC
flz         2008-01-02 14:16:54 UTC

  FreeBSD ports repository

  Modified files:
    x11/xdm              Makefile 
  Added files:
    x11/xdm/files        patch-config_Xresources.cpp 
  Log:
  - Fix if-block in Xresources. [1]
  - Fix paths in various scripts. [2]
  
  PR:             ports/117722 [1], ports/117841 [2]
  Submitted by:   Warren Block [1], J.R. Oldroyd [2]
  
  Revision  Changes    Path
  1.7       +5 -3      ports/x11/xdm/Makefile
  1.1       +21 -0     ports/x11/xdm/files/patch-config_Xresources.cpp (new)
_______________________________________________
cvs-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/cvs-all
To unsubscribe, send any mail to "cvs-all-unsubscribe@freebsd.org"
Comment 3 Mark Linimon freebsd_committer freebsd_triage 2008-02-29 02:05:34 UTC
State Changed
From-To: open->closed

Committed by flz 2008-01-02.